package Modules::Member;
#----------------------------------------------------------------------------
#
#   Copyright 2001-2004 Exware Solutions, Inc.  http://www.exware.com
#
#   This file is part of ExSite WebWare (ExSite, for short).
#
#   ExSite is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   ExSite is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with ExSite; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   Users requiring warranty coverage and/or support may arrange alternate
#   commercial licensing for ExSite, by contacting Exware Solutions 
#   via the website noted above.
#
#----------------------------------------------------------------------------

# Member : simple toolkit for managing members

use strict;
use ExSite::Config;
use Modules::BaseDCD;

use vars qw(@ISA);
@ISA = qw(Modules::BaseDCD);

# no read method - this is a dumb module

# write : output a simple member list, if someone asks us for content

sub write {
    my ($this,$options) = @_;
    # uses WebDB to spit out a generic member report
    return $share{DB}->report({tab=>"member"});
}

# ioctl : supports the webtop integration requests, and nothing else

sub ioctl {
    my $this = shift;
    $_ = shift;   # $_ is the ioctl request
    # handle the standard ioctl requests for webtop integration
    if (/ModuleName/) {
	# the user-friendly name for this app
	return "Members";
    }
    elsif (/ControlPanel/) {
	# a reference to the administrator control panel for this app
	return \&ControlPanel;
    }
    elsif (/ModuleInfo/) {
	return "This is a member-management tool that lets you create, 
delete, and edit the various users who have permission to log in to the
private members-only areas of your website.";
    }
    return undef;
}

# we'll just use the generic WebDB tools for our control panel

sub ControlPanel {
    return $share{DB}->report_relational({tab=>"member"});
}

1;
