#!/usr/bin/perl
#-----------------------------------------------------------------------
# webdb.cgi - general-purpose db admin tool
#
# This script acts as a front end to Modules::WebDB.
#-----------------------------------------------------------------------
#
#   Copyright 2001-2004 Exware Solutions, Inc.  http://www.exware.com
#
#   This file is part of ExSite WebWare (ExSite, for short).
#
#   ExSite is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   ExSite is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with ExSite; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   Users requiring warranty coverage and/or support may arrange alternate
#   commercial licensing for ExSite, by contacting Exware Solutions 
#   via the website noted above.
#
#----------------------------------------------------------------------------

use strict;
use ExSite::Config;
#use ExSite::Misc;
#use ExSite::Form;
use Modules::WebDB;

&exsite_init;
my $db = new ExSite::Form;
my $wdb = new Modules::WebDB;

# undo default WebDB link configuration
$config{form}{mode} = $config{report}{linkmode} = "cgi";
&page_header("WebDB - $config{site}{name}");
if ($db->authorize < $config{auth}{root_auth_level} - 1) {
    print "<h3 class=error>Permission denied</h3><p>You do not have sufficient system priveleges to use this feature.</p>\n";
}
else {
    print $wdb->write;
}
&page_footer;
